/*  */
{
  "factory": {
    "id": "ftp-connector-in",
    "type": "entaxy.runtime.connector",
    "parent": "connection-based-connector-in",
    "description": "Ftp IN-connector (consumer) factory",
    "label": "connector,ftp",
    "isAbstract": false,
    "requires": ["ftp-connection"]
  },
  "entaxy.runtime.connector": {
  	"type": "ftp",
  	"protocol": "ftp"
  },
  "fields": {
		"entaxyOriginConnection": {
			"type": "entaxy.runtime.connection",
			"filter": {
				"label": "ftp"
			}
		}
  },
	"outputs": {
		"init": {
			"isDefault": true,
			"fields": {
				"entaxyOriginConnection": {},
				"@IMPORT": [{
					"sourceFactoryId": "ftp-connection",
					"location": "outputs.consumer.fields",
					"prefix": "",
					"filter": {
						"contained": [{
								"attribute": "##origin",
								"values": ["camel"]
							}
						]
					}
				}
				]
			},
			"config": {
				"configurable": false
			}			
		}
	}
}
